CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Installation problem in OpenSuse 11.1

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   June 27, 2009, 07:53
Default Installation problem in OpenSuse 11.1
  #1
New Member
 
alex
Join Date: Jun 2009
Posts: 17
Rep Power: 8
oort is on a distinguished road
Hi!

I'm trying to install OpenFoam 1.5 in my laptop with OpenSuse 11.1 and does.t work.

First I was doing the procedure defined in readme file and didn't work.

Then I follow the instructions of install qt 4.3.5 in openfoam folder and didn't work (described here: http://www.cfd-online.com/Forums/openfoam-installation/57231-howto-make-parafoam-openfoam15-work-opensuse11-installing-qt435-home-directory.html).

I don't know if the problem is of my laptop because in a old desktop it works even with qt 4.4.

When I run paraFoam appears the paraview logo but then the program closes and appear theses erroes in the terminal:

Quote:
ERROR: In /home/carlos/OpenFOAM/ThirdParty/ParaView3.3-cvs/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 398
vtkXOpenGLRenderWindow (0x13526d0): Could not find a decent visual



ERROR: In /home/carlos/OpenFOAM/ThirdParty/ParaView3.3-cvs/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 398
vtkXOpenGLRenderWindow (0x13526d0): Could not find a decent visual



X Error: BadValue (integer parameter out of range for operation) 2
Extension: 143 (Uknown extension)
Minor opcode: 3 (Unknown request)
Resource id: 0x21
ERROR: In /home/carlos/OpenFOAM/ThirdParty/ParaView3.3-cvs/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 623
vtkXOpenGLRenderWindow (0x13526d0): Cannot create GLX context. Aborting.


/home/carlos/OpenFOAM/OpenFOAM-1.5/bin/paraFoam: line 83: 3191 Aborted paraview --data=$caseFile
My laptop is a Compaq CQ60-215 EP (http://h10025.www1.hp.com/ewfrf/wc/document?docname=c01697159&lc=en&dlc=en&cc=us&prod uct=3938319〈=en)

can you help me?

Thanks
oort is offline   Reply With Quote

Old   June 27, 2009, 11:22
Default
  #2
New Member
 
alex
Join Date: Jun 2009
Posts: 17
Rep Power: 8
oort is on a distinguished road
Damn it!

It is a graphic board driver problem!

In a new instalation in 800*600 with no drivers i can sen the cavity problem in paraFoam.

When I install the most recent drivers of nvidia the errors appears.

Linux sucks!
oort is offline   Reply With Quote

Old   June 29, 2009, 08:26
Default
  #3
Senior Member
 
linnemann's Avatar
 
Niels Nielsen
Join Date: Mar 2009
Location: NJ - Denmark
Posts: 451
Rep Power: 15
linnemann will become famous soon enough
Hi

Linux doesn't sux your just not used to it

you probably have to recompile paraview after you have installed the Nvidia drivers.

The method is mentioned in the README file, its just a small script.

You have to remember that you can't make a universal binary for all Linux distros and so something is bound to fail on some.

Regards
linnemann is offline   Reply With Quote

Old   June 29, 2009, 18:33
Default
  #4
New Member
 
alex
Join Date: Jun 2009
Posts: 17
Rep Power: 8
oort is on a distinguished road
The compilation of paraview is done before or after the installation of the nvidia drivers?

I was trying to use opensuse 64bits and nvidia drivers but if I install them paraview gives errors.

However with opensuse 32 bits it works (opensuse 32 bits + nvidia drivers for 32 bits + paraview)

I have two opensuse systems both with 32 bits

I have one installation where the paraview graphics are smooth (with nvidia drivers) but unfortunatly to this system I only had gave 22 GB and have / and /home together. But i don't remember ther order of the setup I have made.

In the other system (20 GB to / and 40 GB to /home) paraview is working but the graphics are not smooth.
I have installed openfoam, then i have installed qt4.3.5, them I have recompilled paraview and PVReader and only then i have installed nvidia drivers.

I don't understand why in one system the graphics are smooth and in the other are not.

Should I install nvidia graphics before inastall qt4.3.5 and the compilation of paraview?

My problem is that everytime I remove the nvidia graphics i cannot start X and I have to reinstall opensuse.

Probably now I only need remove OpenFoam folders, install openfoam agains, install qt4.3.5 again and recompile paraview.

I'm tired of this!

I'm a noob! LOL
oort is offline   Reply With Quote

Old   June 30, 2009, 15:56
Default
  #5
Senior Member
 
linnemann's Avatar
 
Niels Nielsen
Join Date: Mar 2009
Location: NJ - Denmark
Posts: 451
Rep Power: 15
linnemann will become famous soon enough
The problem is most likely because Nvidia drivers ships with its own set of OpenGL libraries and these aren't compatible with the generic ones that the shipped Paraview is built with..

So install Nvidia drivers and then build paraview.
linnemann is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenFOAM 1.5-dev installation in OpenSuSe 10.3 darenyang OpenFOAM Installation 0 April 28, 2009 04:30
OpenFOAM141 installation problem on Itanium machine skabilan OpenFOAM Installation 3 February 6, 2008 10:05
OpenFoam 14 installation problem gfcoppola OpenFOAM Installation 20 November 2, 2007 14:38
Installation Problem Meenu FLUENT 2 April 22, 2006 14:29
STAR-CD installation Problem Zaheer Abbas CFX 0 October 24, 2005 23:28


All times are GMT -4. The time now is 23:53.